Subject: Re: bug: net: dsa: mv88e6xxx: serdes Unable to communicate on fiber with vf610-zii-dev-rev-c

From: Andrew Lunn <[email-masked]>
Date: Sat, 18 Jul 2020 17:05:14 +0200

On Sat, Jul 18, 2020 at 07:49:26AM -0700, Chris Healy wrote:
> On Sat, Jul 18, 2020 at 7:42 AM Marek Behun <[email-masked]> wrote:
> >
> > Hmm, nothing sticks out in the register dump.
> >
> > I encountered a similar problem 2 years ago on Topaz SERDES port when
> > the cmode was set to 2500BASE-X but the speed register was set to speed
> > incompatible with 2500BASE-X (I don't remember what, though). This
> > issue was solved by a patch I sent to netdev.
> >
> > Are you sure that your board isn't broken? Maybe the SerDes traces on
> > RX path are damaged...
> 
> In my case, both the SERDES and the MAC are inside the switch so I
> don't think it's likely that the SERDES traces are broken in there.
> If you are referring to the traces between the SERDES and the fiber
> module, that doesn't feel likely either as the SERDES appears to be
> reporting successfully received frames:
> 
> >From "ethtool -S" after sending 6 packets to the unit:
> serdes_rx_pkts: 6
> serdes_rx_bytes: 384
> serdes_rx_pkts_error: 0
> 
> If the traces were broken between the fiber module and the SERDES, I
> should not see these counters incrementing.

Plus it is reproducible on multiple boards, of different designs.

This is somehow specific to the 6390X ports 9 and 10.

     Andrew